Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.table
Class PageableTableNavigation

    java.lang.Object
      nextapp.echo2.app.Component
          nextapp.echo2.app.Row
              echopointng.table.PageableTableNavigation

All Implemented Interfaces:
  java.io.Serializable, RenderIdSupport

    public class PageableTableNavigation

extends Row

A controller for tables containing `PageableTableModel` backed tables. BUGBUG: Need to support internationalization

See Also:
  Serialized Form

Field Summary

Fields inherited from class nextapp.echo2.app.Row
`PROPERTY_ALIGNMENT, PROPERTY_BORDER, PROPERTY_CELL_SPACING, PROPERTY_INSETS`

Fields inherited from class nextapp.echo2.app.Component
`CHILDREN_CHANGED_PROPERTY, ENABLED_CHANGED_PROPERTY, FOCUS_TRAVERSAL_INDEX_CHANGED_PROPERTY, FOCUS_TRAVERSAL_PARTICIPANT_CHANGED_PROPERTY, LAYOUT_DIRECTION_CHANGED_PROPERTY, LOCALE_CHANGED_PROPERTY, PROPERTY_BACKGROUND, PROPERTY_FONT, PROPERTY_FOREGROUND, PROPERTY_LAYOUT_DATA, STYLE_CHANGED_PROPERTY, STYLE_NAME_CHANGED_PROPERTY, VISIBLE_CHANGED_PROPERTY`

Constructor Summary
`PageableTableNavigation(Table table)`

Method Summary
`protected void` | `doLayout()`
`protected PageableTableModel` | `getModel()`
`void` | `init()` Life-cycle method invoked when the `Component` is added to a registered hierarchy.
`protected void` | `reset()`

Methods inherited from class nextapp.echo2.app.Row
`getAlignment, getBorder, getCellSpacing, getInsets, setAlignment, setBorder, setCellSpacing, setInsets`

Methods inherited from class nextapp.echo2.app.Component
`add, add, addPropertyChangeListener, dispose, firePropertyChange, getApplicationInstance, getBackground, getComponent, getComponent, getComponentCount, getComponents, getEventListenerList, getFocusTraversalIndex, getFont, getForeground, getId, getIndexedProperty, getLayoutData, getLayoutDirection, getLocale, getParent, getProperty, getRenderId, getRenderIndexedProperty, getRenderIndexedProperty, getRenderLayoutDirection, getRenderLocale, getRenderProperty, getRenderProperty, getStyle, getStyleName, getVisibleComponent, getVisibleComponentCount, getVisibleComponents, hasEventListenerList, indexOf, isAncestorOf, isEnabled, isFocusTraversalParticipant, isRegistered, isRenderEnabled, isRenderVisible, isValidChild, isValidParent, isVisible, processInput, remove, remove, removeAll, removePropertyChangeListener, setBackground, setEnabled, setFocusTraversalIndex, setFocusTraversalParticipant, setFont, setForeground, setId, setIndexedProperty, setLayoutData, setLayoutDirection, setLocale, setProperty, setStyle, setStyleName, setVisible, validate, verifyInput, visibleIndexOf`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PageableTableNavigation

    public PageableTableNavigation(Table table)

Method Detail

### init

    public void init()

  Description copied from class: `Component`
  Life-cycle method invoked when the `Component` is added to a registered hierarchy. Implementations should always invoke `super.init()`. Modifications to the component hierarchy are not allowed within this method.

  Overrides:
    `init` in class `Component`
  See Also:
    `Component.init()`

### doLayout

    protected void doLayout()

### reset

    protected void reset()

### getModel

    protected PageableTableModel getModel()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD